apiVersion: v1alpha1
kind: Setting
metadata:
  name: theme-hao-setting
spec:
  forms:
    - group: basics
      label: 基础
      formSchema:
        - $formkit: text
          name: siteTitle
          label: 站点名称
          placeholder: 请输入站点名称
          help: 支持 HTML 语法
        - $formkit: date
          name: siteStartTime
          label: 建站时间
          validation: required
        - $formkit: text
          name: icp
          label: ICP 备案
          placeholder: 请输入 ICP 备案号
          help: 皖 ICP 备 xxxxxxxx 号
        - $formkit: text
          name: gongan
          label: 公安备案
          placeholder: 请输入公安备案号
          help: 皖公网安备 xxxxxxxx 号
        - $formkit: url
          name: copyrightAgreement
          label: 版权协议
          placeholder: 请输入版权协议地址
          help: 文章模块声明版权，也会使用此协议

    - group: nav
      label: 导航
      formSchema:
        - $formkit: menuRadio
          name: leftMenu
          label: 站点名左侧
          help: 默认只有主菜单，可前往【外观】—>【菜单】新建菜单组
        - $formkit: group
          name: right
          label: 导航栏右侧
          value:
            article:
            travelling:
            travellingUrl:
          children:
            - $formkit: radio
              name: travelling
              id: travelling
              key: travelling
              label: 开往按钮
              value: true
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false
            - $formkit: url
              if: $get(travelling).value
              name: travellingUrl
              label: 开往链接
              placeholder: 请输入开往链接
              value: https://travellings.cn/go.html
            - $formkit: radio
              name: article
              label: 随机文章
              value: true
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false

    - group: top
      label: 顶部
      formSchema:
        - $formkit: group
          name: above
          label: 首页第一屏
          value:
            enable_above:
            typed:
            index_img:
            phone_index_img:
          children:
            - $formkit: radio
              name: enable_above
              key: enable_above
              id: enable_above
              value: false
              options:
                - label: 显示
                  value: true
                - label: 隐藏
                  value: false
            - $formkit: repeater
              name: typed
              if: $get(enable_above).value
              label: 打字机显示的文字
              value: [ ]
              children:
                - $formkit: text
                  name: text
                  label: 文字
                  placeholder: 请输入文字
            - $formkit: attachment
              name: index_img
              if: $get(enable_above).value
              label: PC背景图
              placeholder: 请填写背景图地址
              value: https://rp.realxlfd.cloud/alist
            - $formkit: attachment
              name: phone_index_img
              if: $get(enable_above).value
              label: 移动端背景图
              placeholder: 请填写移动端背景图地址
              value: https://imgapi.kouseki.cn/random?sort=mp
        - $formkit: radio
          name: moment
          label: 瞬间说说
          value: true
          options:
            - label: 显示
              value: true
            - label: 隐藏
              value: false
        - $formkit: radio
          name: recentTop
          id: recentTop
          key: recentTop
          label: 顶部 Banner
          value: true
          options:
            - label: 显示
              value: true
            - label: 隐藏
              value: false
        - $formkit: group
          name: BannerLeft
          label: Banner 左侧
          if: $get(recentTop).value
          value:
            bannersBackground:
            bannersTitleBig:
            bannersTitleSmall:
            bikan:
            remen:
            shiyong:
            techStack:
          children:
            - $formkit: select
              name: bannersBackground
              label: 背景图
              value: default
              options:
                - label: 默认技术栈
                  value: default
                - label: 个人技术栈
                  value: techStack
            - $formkit: repeater
              name: techStack
              label: 个人技术栈
              value: [ ]
              children:
                - $formkit: text
                  name: name
                  label: 名称
                  placeholder: 请输入名称
                - $formkit: attachment
                  name: url
                  label: 路径
                  placeholder: 请输入图标路径
                - $formkit: color
                  name: background
                  label: 背景色
            - $formkit: textarea
              name: bannersTitleBig
              label: 大标题
              placeholder: 请输入大标题
              value: Halo Theme Hao
              help: 支持 HTML 语法
            - $formkit: textarea
              name: bannersTitleSmall
              label: 小标题
              placeholder: 请输入小标题
              value: 更多信息请关注 GitHub
              help: 支持 HTML 语法
            - $formkit: url
              name: bikan
              label: 必看精选
              placeholder: 请输入地址
              value: /
            - $formkit: url
              name: remen
              label: 热门文章
              placeholder: 请输入地址
              value: /
            - $formkit: url
              name: shiyong
              label: 实用教程
              placeholder: 请输入地址
              value: /
        - $formkit: group
          name: BannerRight
          label: Banner 右侧
          if: $get(recentTop).value
          value:
            todayRecommend:
            todayRecommendContent:
          children:
            - $formkit: radio
              name: todayRecommend
              id: todayRecommend
              key: todayRecommend
              label: 今日推荐
              value: true
              options:
                - label: 显示
                  value: true
                - label: 隐藏
                  value: false
            - $formkit: group
              name: todayRecommendContent
              if: $get(todayRecommend).value
              label: 今日推荐
              value:
                todayRecommendUrl:
                todayRecommendTitle:
                todayRecommendCover:
                todayRecommendxTitle:
                recommendPost:
                recommendPostCustom:
              children:
                - $formkit: url
                  name: todayRecommendUrl
                  label: 跳转地址
                  placeholder: 请输入地址
                  value: /
                - $formkit: text
                  name: todayRecommendxTitle
                  label: 小标题
                  placeholder: 请输入小标题
                  value: 今日推荐
                - $formkit: text
                  name: todayRecommendTitle
                  label: 大标题
                  placeholder: 请输入标题
                  value: Halo-Theme-Hao
                - $formkit: attachment
                  name: todayRecommendCover
                  label: 背景图
                  placeholder: 请输入地址
                  value: https://liuzhihang.com/upload/hao_dark.jpg
                - $formkit: select
                  name: recommendPost
                  id: recommendPost
                  key: recommendPost
                  label: 推荐文章
                  value: latest
                  options:
                    - label: 最新文章
                      value: latest
                    - label: 自定义
                      value: custom
                - $formkit: repeater
                  if: $get(recommendPost).value === custom
                  name: recommendPostCustom
                  label: 自定义文章
                  help: 建议设置六篇文章
                  value: [ ]
                  children:
                    - $formkit: url
                      name: url
                      label: 链接
                    - $formkit: text
                      name: title
                      label: 标题
                    - $formkit: attachment
                      name: cover
                      label: 封面地址

    - group: layout
      label: 布局
      formSchema:
        - $formkit: group
          name: navs
          value:
            nav:
            navCustomCategory:
            navCustomTag:
            navCustomUrl:
            navMore:
            navMoreCustomUrl:
          children:
            - $formkit: select
              name: nav
              id: nav
              key: nav
              label: 导航条显示内容
              value: category
              options:
                - label: 分类
                  value: category
                - label: 标签
                  value: tag
                - label: 自定义分类
                  value: custom-category
                - label: 自定义标签
                  value: custom-tag
                - label: 自定义路径
                  value: custom-url
            - $formkit: repeater
              if: $get(nav).value === 'custom-category'
              name: navCustomCategory
              label: 自定义分类
              value: [ ]
              children:
                - $formkit: categorySelect
                  name: category
                  label: 分类
            - $formkit: repeater
              if: $get(nav).value === 'custom-tag'
              name: navCustomTag
              label: 自定义标签
              value: [ ]
              children:
                - $formkit: tagSelect
                  name: tag
                  label: 标签
            - $formkit: repeater
              if: $get(nav).value === 'custom-url'
              name: navCustomUrl
              label: 自定义路径
              value: [ ]
              children:
                - $formkit: text
                  name: title
                  label: 标题
                - $formkit: url
                  name: url
                  label: 链接
            - $formkit: select
              name: navMore
              id: navMore
              key: navMore
              label: 更多按钮跳转地址
              value: categories
              options:
                - label: 隐藏
                  value: hide
                - label: 分类
                  value: categories
                - label: 标签
                  value: tags
                - label: 自定义地址
                  value: customUrl
            - $formkit: url
              if: $get(navMore).value === customUrl
              name: navMoreCustomUrl
              label: 文章导航更多跳转路径
              value:
        - $formkit: group
          name: post
          value:
            cols:
            postLocation:
            postRandomImg:
          children:
            - $formkit: select
              name: cols
              label: 文章布局
              value: col2
              options:
                - label: 单列
                  value: col1
                - label: 两列
                  value: col2
                - label: 三列
                  value: col3
                - label: 四列
                  value: col4
            - $formkit: select
              name: postLocation
              label: 封面位置
              value: top
              options:
                - label: 上方
                  value: top
                - label: 左侧
                  value: left
                - label: 右侧
                  value: right
                - label: 交替
                  value: alternate
              help: 建议单列时，将图片放在左右
        - $formkit: url
          name: postRandomImg
          label: 随机封面
          value: https://source.unsplash.com/random/600x400/?blog,scenery,night,desert,sea
          help: 未设置文章封面时，将使用随机封面 (二次元随机图地址：https://www.dmoe.cc/random.php)
        - $formkit: radio
          name: articleCardPolish
          label: 首页文章卡片(擦亮效果)
          value: false
          options:
            - label: 显示
              value: true
            - label: 隐藏
              value: false

    - group: sidebar
      label: 侧栏
      formSchema:
        - $formkit: select
          name: location
          label: 侧边栏位置
          value: right-aside
          options:
            - value: hide-aside
              label: 隐藏
            - value: right-aside
              label: 右侧
            - value: left-aside
              label: 左侧
        - $formkit: group
          name: widgetss
          label: 侧边栏内容
          help: 目前提供的小部件有：profile（站点资料）, wechat（微信）, welcome（小板报）, steam（Steam卡片）, music（音乐卡片）, friend-link（通讯录）, recent-posts（近期文章）, comments（最新评论）, categories（文章分类）, tags（文章标签）, stat（统计）, tags-stat（标签&归档&统计）。你可以随意组合或排序，以逗号隔开。
          value:
            indexWidgets:
            postWidgets:
            tagWidgets:
            categoryWidgets:
            pageWidgets:
          children:
            - $formkit: textarea
              name: indexWidgets
              label: 首页
              value: profile,wechat,comments,recent-posts,categories,tags-stat
            - $formkit: textarea
              name: postWidgets
              label: 文章页
              value: profile,wechat,toc,comments,recent-posts,categories,tags-stat
              help: post 可以支持设置 toc
            - $formkit: textarea
              name: tagWidgets
              label: 标签页
              value: profile,wechat,comments,recent-posts,categories,tags-stat
            - $formkit: textarea
              name: categoryWidgets
              label: 分类页
              value: profile,wechat,comments,recent-posts,categories,tags-stat
            - $formkit: textarea
              name: pageWidgets
              label: 自定义页
              value: ""
              help: 自定义页面默认没有侧栏
        - $formkit: group
          name: profile
          label: 个人卡片
          value:
            profileName:
            profileDesc:
            socialMedia:
            profileStyle:
            desc:
            stickerImg:
          children:
            - $formkit: select
              name: profileStyle
              id: profileStyle
              key: profileStyle
              label: 样式
              value: default
              options:
                - value: default
                  label: 默认
                - value: one
                  label: 样式一
            - $formkit: attachment
              name: stickerImg
              if: $get(profileStyle).value == 'one'
              label: 贴纸
              value: https://0206.ink/upload/omxo3N22290781690363822143.png
              placeholder: 请输入图片地址
            - $formkit: text
              if: $get(profileStyle).value == 'one'
              name: desc
              value: "分享设计与科技生活"
              label: 卡片名称下面的描述
            - $formkit: text
              name: helloText
              label: 作者打招呼
              placeholder: 请填写作者打招呼
              value: 🤖️ 数码科技爱好者, 🔍 分享与热心帮助, 🏠 智能家居小能手, 🔨 设计开发一条龙, 🤝 专修交互与设计, 🏃 脚踏实地行动派, 🧱 团队小组发动机, 💢 壮汉人狠话不多
              help: 注意格式 （🤖️ 数码科技爱好者, 🔍 分享与热心帮助 ） 以逗号隔开
            - $formkit: text
              name: profileName
              label: 卡片名称
              placeholder: 请填写个人卡片名称
              help: 不填写默认为站点则名称
            - $formkit: textarea
              name: profileDesc
              label: 描述信息
              placeholder: 请填写个人卡片描述信息
              help: 支持 HTML 语法
            - $formkit: repeater
              name: socialMedia
              label: 社交媒体
              help: 此处社交媒体最多设置两个
              max: 2
              value: [ ]
              children:
                - $formkit: select
                  name: icon
                  label: 图标
                  options:
                    - label: 电子邮箱
                      value: icon-mail-line
                    - label: 微信
                      value: icon-wechat2
                    - label: 公众号
                      value: icon-weixingongzhonghao
                    - label: 腾讯 QQ
                      value: icon-qq-line
                    - label: 新浪微博
                      value: icon-weibo-line
                    - label: 知乎
                      value: icon-zhihu-line
                    - label: 豆瓣
                      value: icon-douban-line
                    - label: 哔哩哔哩
                      value: icon-bilibili-line
                    - label: GitHub
                      value: icon-github-line
                    - label: GitLab
                      value: icon-gitlab-line
                    - label: 百度
                      value: icon-baidu-line
                    - label: 掘金
                      value: icon-juejin
                    - label: 语雀
                      value: icon-yuque
                    - label: 博客园
                      value: icon-CN_cnblogs
                    - label: CSDN
                      value: icon-csdn1
                    - label: LeetCode
                      value: icon-leetcode
                    - label: 头条
                      value: icon-jinritoutiao
                    - label: 抖音 / TikTok
                      value: icon-douyin
                    - label: Telegram
                      value: icon-telegram-line
                    - label: Facebook
                      value: icon-facebook-box-line
                    - label: Instagram
                      value: icon-instagram-line
                    - label: LinkedIn
                      value: icon-linkedin-box-line
                    - label: Twitter
                      value: icon-twitter-line
                    - label: Slack
                      value: icon-slack-line
                    - label: Discord
                      value: icon-discord-line
                    - label: YouTube
                      value: icon-youtube-line
                    - label: Steam
                      value: icon-steam-fill
                    - label: Dribbble
                      value: icon-dribbble-line
                - $formkit: text
                  name: name
                  label: 名称
                - $formkit: url
                  name: url
                  label: 链接
                - $formkit: radio
                  name: urlType
                  label: 链接类型
                  value: normal
                  help: 如果选择了图片类型，那么在访客点击之后会使用弹框的形式加载
                  options:
                    - label: 跳转链接
                      value: normal
                    - label: 图片
                      value: image
        - $formkit: group
          name: wechat
          label: 公众号
          value:
            wechatImgFace:
            wechatImgBack:
          children:
            - $formkit: attachment
              name: wechatImgFace
              placeholder: 公众号正面图
            - $formkit: attachment
              name: wechatImgBack
              placeholder: 公众号背面图
              help: 图片可以从公众号后台下载物料或者自制
        - $formkit: group
          name: welcome
          label: 小板报
          value:
            key:
          children:
            - $formkit: text
              name: key
              label: 腾讯位置服务Key
              help: 申请地址：https://lbs.qq.com/dev/console/application/mine
            - $formkit: text
              name: locationLng
              label: 经度坐标
              help: 可访问 https://lbs.qq.com/getPoint 拾取坐标，示例：113.215456
              placeholder: 请输入经度坐标
            - $formkit: text
              name: locationLat
              label: 纬度坐标
              help: 示例：22.582401
              placeholder: 请输入纬度坐标
        - $formkit: group
          name: music
          label: 音乐卡片
          help: 文档请看：https://github.com/zonemeen/netease-recent-profile
          value:
            key:
          children:
            - $formkit: url
              name: musicUrl
              label: 跳转地址
              value: /music
            - $formkit: textarea
              name: lightMsimg
              label: 浅色卡片
              value: https://card-music.0206.ink/?id=xxxxx&theme=card&themeColor=e60026&mode=light&size=300&show_random=1
              help: https://card-music.0206.ink/?id=xxxxx&theme=card&themeColor=e60026&mode=light&size=300&show_random=1
            - $formkit: textarea
              name: lightBackMsimg
              label: 浅色翻页卡片
              value: https://card-music.0206.ink/?id=xxxxx&size=60&type=1&mode=light&title=%E6%9C%80%E8%BF%91%E5%B8%B8%E5%90%AC%E6%A6%9C%E5%8D%95&number=6
              help: https://card-music.0206.ink/?id=xxxxx&size=60&type=1&mode=light&title=%E6%9C%80%E8%BF%91%E5%B8%B8%E5%90%AC%E6%A6%9C%E5%8D%95&number=6
            - $formkit: textarea
              name: darkMsimg
              label: 深色卡片
              value: https://card-music.0206.ink/?id=xxxxx&theme=card&themeColor=e60026&mode=dark&size=300&show_random=1
              help: https://card-music.0206.ink/?id=xxxxx&theme=card&themeColor=e60026&mode=dark&size=300&show_random=1
            - $formkit: textarea
              name: darkBackMsimg
              label: 深色翻页卡片
              value: https://card-music.0206.ink/?id=xxxxx&size=60%E2%80%A6F%91%E5%B8%B8%E5%90%AC%E6%A6%9C%E5%8D%95&number=6
              help: https://card-music.0206.ink/?id=xxxxx&size=60%E2%80%A6F%91%E5%B8%B8%E5%90%AC%E6%A6%9C%E5%8D%95&number=6
        - $formkit: group
          name: steam
          label: Steam卡片
          help: 文档请看：https://github.com/yuyinws/steam-card
          value:
            key:
          children:
            - $formkit: url
              name: steamUrl
              label: 跳转地址
              value: /
            - $formkit: textarea
              name: cardSteam
              label: 卡片
              value: https://card.yuy1n.io/card/xxxxxx/gradient1,badge,bg-game-1111460,games,screenshots,badges
              help: https://card.yuy1n.io/card/xxxxxx/gradient1,badge,bg-game-1111460,games,screenshots,badges
        - $formkit: number
          name: recentPost
          label: 最新文章
          value: 4
          help: 文章数量
        - $formkit: number
          name: newcommentnumber
          label: 最新评论
          value: 5
          help: 最新评论数量, 小于 0 则展示5条评论
        - $formkit: number
          name: categoryQuantity
          label: 文章分类
          value: -1
          help: 小于 0 则展示全部分类
        - $formkit: number
          name: tagQuantity
          label: 文章标签
          value: -1
          help: 小于 0 则展示全部标签
        - $formkit: number
          name: archivesQuantity
          label: 文章归档
          value: -1
          help: 小于 0 则展示全部归档(目前没用等适配)
        - $formkit: radio
          name: tags_switch
          label: 标签&归档&统计 (标签按钮开关)
          value: true
          options:
            - label: 显示
              value: true
            - label: 隐藏
              value: false
        - $formkit: radio
          name: archive_switch
          label: 标签&归档&统计 (归档按钮开关)
          value: false
          options:
            - label: 显示
              value: true
            - label: 隐藏
              value: false

    - group: footer
      label: 页脚
      formSchema:
        - $formkit: group
          name: social_media
          label: 社交媒体
          value:
            socialMediaLeft:
            centerImg:
            socialMediaRight:
          children:
            - $formkit: attachment
              name: centerImg
              label: 中间 logo
              placeholder: 请填写 logo 图片地址
              value: https://liuzhihang.com/upload/logo.png
            - $formkit: repeater
              name: socialMediaLeft
              label: 左侧
              value: [ ]
              children:
                - $formkit: select
                  name: icon
                  label: 图标
                  options:
                    - label: 电子邮箱
                      value: icon-mail-line
                    - label: 微信
                      value: icon-wechat2
                    - label: 公众号
                      value: icon-weixingongzhonghao
                    - label: 腾讯 QQ
                      value: icon-qq-line
                    - label: 新浪微博
                      value: icon-weibo-line
                    - label: 知乎
                      value: icon-zhihu-line
                    - label: 豆瓣
                      value: icon-douban-line
                    - label: 哔哩哔哩
                      value: icon-bilibili-line
                    - label: GitHub
                      value: icon-github-line
                    - label: GitLab
                      value: icon-gitlab-line
                    - label: 百度
                      value: icon-baidu-line
                    - label: 掘金
                      value: icon-juejin
                    - label: 语雀
                      value: icon-yuque
                    - label: 博客园
                      value: icon-CN_cnblogs
                    - label: CSDN
                      value: icon-csdn1
                    - label: LeetCode
                      value: icon-leetcode
                    - label: 头条
                      value: icon-jinritoutiao
                    - label: 抖音 / TikTok
                      value: icon-douyin
                    - label: Telegram
                      value: icon-telegram-line
                    - label: Facebook
                      value: icon-facebook-box-line
                    - label: Instagram
                      value: icon-instagram-line
                    - label: LinkedIn
                      value: icon-linkedin-box-line
                    - label: Twitter
                      value: icon-twitter-line
                    - label: Slack
                      value: icon-slack-line
                    - label: Discord
                      value: icon-discord-line
                    - label: YouTube
                      value: icon-youtube-line
                    - label: Steam
                      value: icon-steam-fill
                    - label: Dribbble
                      value: icon-dribbble-line
                - $formkit: text
                  name: name
                  label: 名称
                - $formkit: text
                  name: url
                  label: 链接
                - $formkit: radio
                  name: urlType
                  label: 链接类型
                  value: normal
                  help: 如果选择了图片类型，那么在访客点击之后会使用弹框的形式加载
                  options:
                    - label: 跳转链接
                      value: normal
                    - label: 图片
                      value: image
            - $formkit: repeater
              name: socialMediaRight
              label: 右侧
              value: [ ]
              children:
                - $formkit: select
                  name: icon
                  label: 图标
                  options:
                    - label: 电子邮箱
                      value: icon-mail-line
                    - label: 微信
                      value: icon-wechat2
                    - label: 公众号
                      value: icon-weixingongzhonghao
                    - label: 腾讯 QQ
                      value: icon-qq-line
                    - label: 新浪微博
                      value: icon-weibo-line
                    - label: 知乎
                      value: icon-zhihu-line
                    - label: 豆瓣
                      value: icon-douban-line
                    - label: 哔哩哔哩
                      value: icon-bilibili-line
                    - label: GitHub
                      value: icon-github-line
                    - label: GitLab
                      value: icon-gitlab-line
                    - label: 百度
                      value: icon-baidu-line
                    - label: 掘金
                      value: icon-juejin
                    - label: 语雀
                      value: icon-yuque
                    - label: 博客园
                      value: icon-CN_cnblogs
                    - label: CSDN
                      value: icon-csdn1
                    - label: LeetCode
                      value: icon-leetcode
                    - label: 头条
                      value: icon-jinritoutiao
                    - label: 抖音 / TikTok
                      value: icon-douyin
                    - label: Telegram
                      value: icon-telegram-line
                    - label: Facebook
                      value: icon-facebook-box-line
                    - label: Instagram
                      value: icon-instagram-line
                    - label: LinkedIn
                      value: icon-linkedin-box-line
                    - label: Twitter
                      value: icon-twitter-line
                    - label: Slack
                      value: icon-slack-line
                    - label: Discord
                      value: icon-discord-line
                    - label: YouTube
                      value: icon-youtube-line
                    - label: Steam
                      value: icon-steam-fill
                    - label: Dribbble
                      value: icon-dribbble-line
                - $formkit: text
                  name: name
                  label: 名称
                - $formkit: text
                  name: url
                  label: 链接
                - $formkit: radio
                  name: urlType
                  label: 链接类型
                  value: normal
                  help: 如果选择了图片类型，那么在访客点击之后会使用弹框的形式加载
                  options:
                    - label: 跳转链接
                      value: normal
                    - label: 图片
                      value: image
        - $formkit: menuRadio
          name: menu
          label: 相关链接
          help: 默认只有主菜单，可前往【外观】—>【菜单】新建菜单组
        - $formkit: group
          name: footer_group
          label: 页脚友链
          value:
            enable_footer_group:
            fetchUrl:
          children:
            - $formkit: radio
              name: enable_footer_group
              id: enable_footer_group
              key: enable_footer_group
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
        - $formkit: group
          name: footerContent
          label: 页脚内容
          value:
            runtime:
            footeStyle:
          children:
            - $formkit: select
              name: footerStyle
              id: footeStyle
              key: footeStyle
              label: 样式
              value: default
              options:
                - value: default
                  label: 默认
                - value: one
                  label: 样式一
            - $formkit: group
              if: $get(footeStyle).value == 'one'
              name: style_one
              label: 样式一
              value:
                runtime_enable:
                work_img:
                work_description:
                offduty_img:
                offduty_description:
                bdageitem:
              children:
                - $formkit: radio
                  name: runtime_enable
                  id: runtime_enable
                  key: runtime_enable
                  value: true
                  label: 运行时间
                  options:
                    - label: 显示
                      value: true
                    - label: 隐藏
                      value: false
                - $formkit: attachment
                  if: $get(runtime_enable).value
                  name: work_img
                  label: 上班时间的徽标
                  placeholder: 请输入内容
                  value: "https://0206.ink/upload/%E5%9B%B0%E5%9B%B0%E9%B1%BC-%E4%B8%8B%E7%8F%AD%E5%95%A6-yellowgreen.svg"
                - $formkit: text
                  if: $get(runtime_enable).value
                  name: work_description
                  label: 上班时间的 title 描述
                  placeholder: 请输入内容
                  value: "距离月入25k也就还差一个大佬带我~"
                - $formkit: attachment
                  if: $get(runtime_enable).value
                  name: offduty_img
                  label: 下班时间的徽标
                  placeholder: 请输入内容
                  value: "https://0206.ink/upload/%E5%9B%B0%E5%9B%B0%E9%B1%BC-%E4%B8%8B%E7%8F%AD%E5%95%A6-yellowgreen.svg"
                - $formkit: text
                  if: $get(runtime_enable).value
                  name: offduty_description
                  label: 下班时间的 title 描述
                  placeholder: 请输入内容
                  value: "下班了就该开开心心的玩耍，嘿嘿~"
                - $formkit: repeater
                  name: bdageitem
                  label: 徽标配置项
                  value:
                    - link: "https://halo.run/"
                      shields: "https://npm.elemecdn.com/hao-theme-static@1.2.0/templates/images/Frame-Halo-blue.svg"
                      message: "博客框架为halo2.x"
                  children:
                    - $formkit: url
                      name: link
                      label: 链接
                      placeholder: 请输入内容
                      value: "https://halo.run/"
                      validation: required
                    - $formkit: attachment
                      name: shields
                      label: 徽标
                      placeholder: 请输入内容
                      validation: required
                      value: "https://npm.elemecdn.com/hao-theme-static@1.2.0/templates/images/Frame-Halo-blue.svg"
                    - $formkit: text
                      name: message
                      label: 徽标 title
                      placeholder: 请输入内容
                      validation: required
                      value: "博客框架为halo2.x"

    - group: post
      label: 文章
      formSchema:
        - $formkit: radio
          name: dynamicBackground
          label: 动态主色
          value: true
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false
          help: 文章主色匹配图片颜色
        - $formkit: radio
          name: summarize
          label: 文章摘要（首页）
          value: false
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false
          help: 是否显示文章摘要
        - $formkit: group
          name: aiDescription
          label: 文章 AI 摘要
          value:
            aiDescriptionEnable:
            gptName:
            mode:
            switchBtn:
            btnLink:
            randomNum:
            basicWordCount:
            key:
            Referer:
          children:
            - $formkit: radio
              name: aiDescriptionEnable
              id: aiDescriptionEnable
              key: aiDescriptionEnable
              value: false
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: text
              if: $get(aiDescriptionEnable).value
              name: gptName
              label: 名称
              placeholder: 请输入内容
              value: KunKunYu
            - $formkit: radio
              if: $get(aiDescriptionEnable).value
              name: mode
              label: 模式
              value: local
              help: 本地模式需要自己填写文章摘要
              options:
                - label: 本地
                  value: local
                - label: ai
                  value: tianli
            - $formkit: radio
              if: $get(aiDescriptionEnable).value
              name: switchBtn
              label: 显示切换按钮
              value: false
              options:
                - label: 是
                  value: true
                - label: 否
                  value: false
            - $formkit: url
              if: $get(aiDescriptionEnable).value
              name: btnLink
              label: 链接地址
              placeholder: 输入链接地址
              value: https://afdian.net/item/f18c2e08db4411eda2f25254001e7c00
            - $formkit: number
              if: $get(aiDescriptionEnable).value
              name: randomNum
              label: 随机次数
              value: 3
              help: 按钮最大的随机次数，也就是一篇文章最大随机出来几种
            - $formkit: number
              if: $get(aiDescriptionEnable).value
              name: basicWordCount
              label: 字符数
              value: 1000
              help: 最低获取字符数, 最小1000, 最大1999
            - $formkit: text
              if: $get(aiDescriptionEnable).value
              name: key
              label: key
              value: xxxx
              placeholder: 请输入key
            - $formkit: url
              if: $get(aiDescriptionEnable).value
              name: Referer
              label: 你的博客地址
              help: 注意保留最后的斜杠
              value: https://xx.xx/
        - $formkit: select
          name: copyrightsStyle
          id: copyrightsStyle
          key: copyrightsStyle
          label: 版权样式
          value: default
          options:
            - value: default
              label: 默认
            - value: one
              label: 样式一
        - $formkit: text
          if: $get(copyrightsStyle).value == 'one'
          name: desc
          value: "分享设计与科技生活"
          label: 版权样式一(描述)
        - $formkit: group
          name: post_edit
          label: 运营模式与责任
          value:
            enable_post_edit:
            post_edit_url:
          children:
            - $formkit: radio
              name: enable_post_edit
              id: enable_post_edit
              key: enable_post_edit
              help: 启用文章运营模式与责任，请正确填写链接
              value: false
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: url
              name: post_edit_url
              if: $get(enable_post_edit).value
              label: 运营模式与责任地址
              placeholder: 请输入运营模式与责任地址
              value: /rss
        - $formkit: group
          name: share_right
          label: 分享按钮
          value:
            mobile_edit:
            weibo_edit:
            copyurl_edit:
          children:
            - $formkit: radio
              name: mobile_edit
              help: 启用分享手机访问二维码
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: radio
              name: weibo_edit
              help: 启用分享到微博
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: radio
              name: copyurl_edit
              help: 启用复制链接
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
        - $formkit: group
          name: copyrights
          label: 版权声明
          value:
            enable:
            content:
          children:
            - $formkit: radio
              name: enable
              id: enable
              key: enable
              value: false
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false
              help: 文章底部显示版权声明模块
            - $formkit: textarea
              if: $get(enable).value
              name: content
              label: 声明内容
              placeholder: '本文是原创文章，采用 <a target="_blank" href="/cc">CC BY-NC-ND 4.0</a> 协议，完整转载请注明来自 <a href="/" target="_blank" >程序员小航</a>'
              help: 支持 HTML 语法
        - $formkit: number
          name: recommendQuantity
          label: 阅读建议
          value: 4
          help: 文章数量

    - group: categories
      label: 分类
      formSchema:
        - $formkit: select
          name: use
          label: 页面样式
          value: default
          options:
            - label: 默认
              value: default
            - label: 3D
              value: 3D

    - group: moment
      label: 瞬间
      formSchema:
        - $formkit: attachment
          name: backgroundImg
          label: 背景图
          value: https://liuzhihang.com/upload/moments.png
          placeholder: 请输入图片地址
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 即刻短文
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: 分享生活的小确幸
        - $formkit: text
          name: detail
          label: 描述
          value: 使用 Halo/Moment插件 构建
        - $formkit: text
          name: buttonTitle
          label: 按钮标题
          value: 部署瞬间
        - $formkit: url
          name: buttonUrl
          validation: url
          value: https://github.com/halo-sigs/plugin-moments
          label: 按钮跳转连链接
          placeholder: 请输入跳转 url

    - group: link
      label: 友链
      formSchema:
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 友情链接
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: 我和我的小伙伴们
        - $formkit: url
          name: fcircleUrl
          value: "/fcircle"
          label: 鱼塘链接
        - $formkit: url
          name: linksUrl
          value: "/links"
          label: 友链链接
        - $formkit: radio
          name: linksCanvas
          label: 互动友链
          value: false
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false

    - group: fcircle
      label: 友链鱼塘
      formSchema:
        - $formkit: attachment
          name: backgroundImg
          label: 背景图
          value: https://npm.elemecdn.com/hao-theme-static@1.2.0/templates/images/64624940e3623.jpeg
          placeholder: 请输入图片地址
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 友链
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: 最新文章订阅
        - $formkit: text
          name: detail
          label: 描述
          value: 使用 友链朋友圈 订阅友链最新文章
        - $formkit: text
          name: buttonTitle
          label: 按钮标题
          value: 部署项目
        - $formkit: url
          name: buttonUrl
          validation: url
          value: https://github.com/Rock-Candy-Tea/hexo-circle-of-friends
          label: 按钮跳转连链接
          placeholder: 请输入跳转 url
        - $formkit: url
          name: apiurl
          value: "https://moments.0206.ink/"
          label: token地址
          placeholder: 请输入token地址
        - $formkit: radio
          name: fcircleRandomFriendsEnable
          label: 友链鱼塘页面（钓鱼）
          value: true
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false
        - $formkit: radio
          name: linksRandomFriendsEnable
          label: 友链页面（钓鱼）
          value: true
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false

    - group: photos
      label: 图库
      formSchema:
        - $formkit: attachment
          name: backgroundImg
          label: 背景图
          value: https://liuzhihang.com/upload/moments.png
          placeholder: 请输入图片地址
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 相册集
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: 这里是我的相册集哦😯
        - $formkit: text
          name: detail
          label: 描述
          value: 每一张照片都是一次美好的记忆。


    - group: todo
      label: 待办清单
      formSchema:
        - $formkit: attachment
          name: backgroundImg
          label: 背景图
          value: https://npm.elemecdn.com/hao-theme-static@1.2.0/templates/images/64624940e3623.jpeg
          placeholder: 请输入图片地址
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 想做清单
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: ToDoList
        - $formkit: text
          name: detail
          label: 描述
          value: 要做的事还有很多，想做的事源源不断
        - $formkit: repeater
          name: list
          label: 待办清单
          value: [ ]
          children:
            - $formkit: text
              name: class_name
              label: 标题
              placeholder: 请输入标题
            - $formkit: radio
              name: seat
              label: 位置
              value: left
              options:
                - label: 左
                  value: left
                - label: 右
                  value: right
            - $formkit: repeater
              name: todo_list
              label: 内容列表
              value: [ ]
              children:
                - $formkit: textarea
                  name: content
                  label: 内容
                  placeholder: 请输入内容
                - $formkit: radio
                  name: completed
                  label: 填写
                  value: false
                  options:
                    - label: 完成
                      value: true
                    - label: 未完成
                      value: false

    - group: equipment
      label: 我的装备
      formSchema:
        - $formkit: attachment
          name: backgroundImg
          label: 背景图
          value: https://liuzhihang.com/upload/moments.png
          placeholder: 请输入图片地址
        - $formkit: text
          name: smallTitle
          label: 小标题
          value: 好物
        - $formkit: text
          name: bigTitle
          label: 大标题
          value: 实物装备推荐
        - $formkit: text
          name: detail
          label: 描述
          value: 跟我一起享受科技带来的乐趣
        - $formkit: repeater
          name: category_list
          label: 我的装备
          value: [ ]
          children:
            - $formkit: text
              name: category_name
              label: 装备分类名称
              placeholder: 请输入装备分类名称
              value: 生产力
            - $formkit: text
              name: description
              label: 分类描述信息
              placeholder: 请输入分类描述信息
              value: 提升自己生产效率的硬件设备
            - $formkit: repeater
              name: equipment_list
              label: 装备列表
              value: [ ]
              children:
                - $formkit: attachment
                  name: img
                  label: 装备展示图
                  placeholder: 请输入装备展示图地址
                - $formkit: text
                  name: name
                  label: 装备名称
                  placeholder: 请输入装备名称
                  value: MacBookPro
                - $formkit: text
                  name: model
                  label: 装备型号/版本
                  placeholder: 请输入装备型号/版本
                  value: M1Pro 32G / 1TB
                - $formkit: textarea
                  name: description
                  label: 装备描述
                  placeholder: 请输入装备描述
                  value: 屏幕显示效果好、色彩准确、对比度强、性能强劲、续航优秀。可以用来开发和设计。
                - $formkit: text
                  name: button
                  label: 左下角按钮显示文字
                  placeholder: 请输入左下角按钮显示文字
                  value: 详情
                - $formkit: text
                  name: url
                  label: 左下角按钮跳转链接
                  placeholder: 请输入左下角按钮跳转链接
                  value: https://www.apple.com.cn/macbook-pro/

    - group: about
      label: 关于
      formSchema:
        - $formkit: textarea
          name: widgets
          label: 小部件
          value: content-idea,hello-about,authorCareers,personalities-photo,textarea,game,like-music,statistics-map
          help: content-idea（我的介绍&我的想法）, hello-about（我的问候）, authorCareers（技能&职业生涯）, personalities-photo（性格&图片）, textarea（座右铭）, game（爱好）, like-music（关注偏好&音乐偏好）, statistics-map（数据统计&音乐偏好）。你可以随意组合或排序，以逗号隔开。
        - $formkit: repeater
          name: authorInfoLeftTags
          label: 个人标签-左
          help: 头像左侧个人标签
          value: [ ]
          children:
            - $formkit: text
              name: tag
              label: 标签
              placeholder: 请输入内容
        - $formkit: repeater
          name: authorInfoRightTags
          label: 个人标签-右
          help: 头像右侧个人标签
          value: [ ]
          children:
            - $formkit: text
              name: tag
              label: 标签
              placeholder: 请输入内容
        - $formkit: textarea
          name: content
          label: 我的介绍
          value: <div class="title1">你好，很高兴认识你👋</div> <div class="title2">我叫 <span class="inline-word">程序员小航</span></div> <div class="title1">是一名 前端开发工程师、后端开发工程师、全干工程师</div>
          help: 支持 HTML 语法
        - $formkit: textarea
          name: idea
          label: 我的想法
          value: <div class="author-content-item-tips">一定</div> <h2>记得<br> 修改这块<span class="inline-word">代码</span> <div class="mask"> <span class="first-tips" data-show="">优秀的产品</span> <span>出色的设计</span> <span>高效的编程</span> <span data-up="">人性化的用户体验</span> </div> </h2>
          help: 支持 HTML 语法
        - $formkit: text
          name: helloAbout
          label: 我的问候
          value: Hello there!
        - $formkit: group
          name: authorCareers
          label: 职业生涯
          value:
            authorCareersTitle:
            authorCareersTags:
            authorCareersBackground:
          children:
            - $formkit: text
              name: authorCareersTitle
              label: 生涯标题
              placeholder: 请输入内容
              value: 无限进步
            - $formkit: repeater
              name: authorCareersTags
              label: 标签
              value: [ ]
              children:
                - $formkit: color
                  name: background
                  label: 颜色
                - $formkit: text
                  name: desc
                  label: 描述
            - $formkit: attachment
              name: authorCareersBackground
              label: 背景图
              placeholder: 建议找个透明图
              value: https://bu.dusays.com/2023/03/12/640dc587ab895.png
        - $formkit: select
          name: personalities
          label: 人格
          help: 选择你的16人格
          value: infp
          options:
            - label: INFP
              value: infp
            - label: ENFP
              value: enfp
            - label: INFJ
              value: infj
            - label: ENFJ
              value: enfj
            - label: INTJ
              value: intj
            - label: ENTJ
              value: entj
            - label: INTP
              value: intp
            - label: ENTP
              value: entp
            - label: ISFP
              value: isfp
            - label: ESFP
              value: esfp
            - label: ISTP
              value: istp
            - label: ESTP
              value: estp
            - label: ISFJ
              value: isfj
            - label: ESFJ
              value: esfj
            - label: ISTJ
              value: istj
            - label: ESTJ
              value: estj
        - $formkit: attachment
          name: authorCareersPhoto
          label: 图片
          value: https://liuzhihang.com/upload/recommend.png
        - $formkit: repeater
          name: textarea
          label: 文本块
          min: 2
          max: 2
          help: 左边的一行10字 右面一行19字(设置两条数据，不然出不来)
          children:
            - $formkit: text
              name: tittle
              label: 标题
              value: 座右铭
            - $formkit: text
              name: textarea_up
              label: 第一行
              value: 生活原本沉闷，
            - $formkit: text
              name: textarea_down
              label: 第二行
              value: 但跑起来就有风。
        - $formkit: group
          name: game
          label: 爱好游戏 1
          value:
            game_tips:
            game_title:
            game_uid:
            game_bg:
            loading_bar:
          children:
            - $formkit: text
              name: game_tips
              label: 提示文字
              placeholder: 请输入内容
              value: 爱好游戏
            - $formkit: text
              name: game_title
              label: 游戏标题
              placeholder: 请输入内容
              value: 英雄联盟
            - $formkit: text
              name: game_uid
              label: 游戏 ID
              placeholder: 请输入内容
              value: 比尔吉沃特
            - $formkit: attachment
              name: game_bg
              label: 爱好游戏背景
              placeholder: 请输入内容
              value: https://img.zhheo.com/i/2022/08/31/630efa7ae39fe.webp
            - $formkit: attachment
              name: loading_bar
              label: 爱好游戏logo
              placeholder: 请输入内容
              value: https://npm.elemecdn.com/hao-theme-static@1.2.0/templates/images/64795eaece0fc.png
        - $formkit: group
          name: game2
          label: 爱好游戏 2
          value:
            game2_tips:
            game2_title:
            game2_uid:
            game2_bg:
          children:
            - $formkit: text
              name: game2_tips
              label: 提示文字
              placeholder: 请输入内容
              value: 爱好游戏
            - $formkit: text
              name: game2_title
              label: 游戏标题
              placeholder: 请输入内容
              value: 狼人杀
            - $formkit: text
              name: game2_uid
              label: 游戏 ID
              placeholder: 请输入内容
              value: ID 1333E3FF
            - $formkit: attachment
              name: game2_bg
              label: 游戏背景
              placeholder: 请输入内容
              value: https://img.zhheo.com/i/2022/08/31/630efa916a851.webp
        - $formkit: group
          name: like
          label: 关注偏好
          value:
            like_tips:
            like_title:
            like_bottom:
            like_bg:
          children:
            - $formkit: text
              name: like_tips
              label: 提示文字
              placeholder: 请输入内容
              value: 关注偏好
            - $formkit: text
              name: like_title
              label: 偏好标题
              placeholder: 请输入内容
              value: 数码科技
            - $formkit: text
              name: like_bottom
              label: 底部文字
              placeholder: 请输入内容
              value: 手机、电脑软硬件
            - $formkit: attachment
              name: like_bg
              label: 背景图片
              placeholder: 请输入内容
              value: https://img.zhheo.com/i/2022/08/31/630efac3ecef3.webp
        - $formkit: group
          name: music
          label: 音乐偏好
          value:
            music_tips:
            music_title:
            music_link:
            music_bg:
          children:
            - $formkit: text
              name: music_tips
              label: 提示文字
              placeholder: 请输入内容
              value: 音乐偏好
            - $formkit: text
              name: music_title
              label: 偏好标题
              placeholder: 请输入内容
              value: Hiphop、民谣、华语流行
            - $formkit: text
              name: music_link
              label: 按钮链接
              placeholder: 请输入内容
              value:
            - $formkit: attachment
              name: music_bg
              label: 背景图片
              placeholder: 请输入内容
              value: https://img.zhheo.com/i/2022/08/31/630efae141e9a.webp
        - $formkit: text
          name: LingQueMonitorID
          label: 51la 网站统计
          help: 统计ID
          placeholder: 请输入内容
        - $formkit: group
          name: map
          label: 地图相关配置
          value:
            StrengthenTitle:
            mapLocation:
            authorInfo:
          children:
            - $formkit: text
              name: StrengthenTitle
              label: 居住地
              placeholder: 请输入内容
            - $formkit: text
              name: mapLocation
              label: 居住地经纬度坐标
              help: 可访问 https://lbs.qq.com/getPoint 拾取坐标，示例：22.582401,113.215456
              placeholder: 请输入经纬度坐标
            - $formkit: repeater
              name: authorInfo
              label: 个人信息
              min: 3
              max: 3
              children:
                - $formkit: text
                  name: authorInfoTitle
                  label: 标题
                  placeholder: 请输入内容
                  value: 标题
                - $formkit: text
                  name: authorInfoContent
                  label: 内容
                  placeholder: 请输入内容
                  value: 内容
                - $formkit: color
                  name: authorInfoColor
                  label: 内容颜色
                  placeholder: 请输入内容
                  value: '#ffffff'
        - $formkit: textarea
          name: xjlc
          label: 心路历程
          value: <div class="author-content-item-tips">心路历程</div> <span class="author-content-item-title">为什么建站？</span> <br>创建这个站的时候，想要就是能够有一个自己能够<b>积累知识、积累兴趣</b>的地方。和他人分享，会让这些成为积累和沉淀。如果能够帮助到更多的人，帮助更多人解决问题，那一定是非常棒的事情。<br> 分享这件事我从很早就开始了，起初做的微信公众号，现在做的网站。因为我比较喜欢研究数码和软件，想要探究在互联网上的事物是如何被创造和发展。网络给我带来了非常多的知识和眼界，我也想力所能及的分享一些我生活的琐碎知识。<br>与大多数垂直类的技术博客不同，这里的种类会非常的繁杂，有<b>技能的教程干货</b>、有<b>生活上的吐槽和妙招</b>、有<b>话题上的思考和想法</b>。一般我研究什么、发现了什么都会分享在这里。<br> 这些就是创造这个小站的本意，<b>也是我分享生活的方式</b>。有幸能和你相遇在这里，相信我们能共同留下一段美好记忆。</p>
          help: 支持 HTML 语法


    - group: aboutReward
      label: 关于（打赏）
      formSchema:
        - $formkit: text
          name: title
          label: 标题
          placeholder: 请输入内容
          value: 赞赏名单
        - $formkit: text
          name: content
          label: 内容
          placeholder: 请输入内容
          value: 感谢赞赏的人，因为你们，让我感受到写博客这件事情能够给你们创造价值。这会让我在这条路上走得更远。
        - $formkit: group
          name: reward
          label: 打赏按钮
          value:
            enable_reward:
            name:
            wxPay:
            alipay:
            enable_reward_wz:
            reward_md_url:
          children:
            - $formkit: url
              name: reward_md_url
              label: 名单地址
              placeholder: 请输入赞赏者名单地址
              value: /about
            - $formkit: radio
              name: enable_reward_wz
              label: 文章页面打赏
              value: false
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: radio
              name: enable_reward
              label: 关于页面打赏
              value: false
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: text
              name: name
              label: 按钮标题
              placeholder: 请输入内容
              value: 赞赏作者
            - $formkit: attachment
              name: wxPay
              label: 微信收款码
              help: 微信二维码图片链接
              placeholder: 请填写微信二维码图片链接
            - $formkit: attachment
              name: alipay
              label: 支付宝收款码
              help: 支付宝二维码图片链接
              placeholder: 请填写支付宝二维码图片链接
        - $formkit: repeater
          name: reward_list
          label: 打赏名单
          value: [ ]
          children:
            - $formkit: text
              name: name
              label: 名称
              placeholder: 请输入内容
            - $formkit: text
              name: amount
              label: 金额
              placeholder: 请输入内容
            - $formkit: date
              name: datatime
              label: 时间
              placeholder: 请输入内容
            - $formkit: radio
              name: sign
              label: 标记
              value: N
              options:
                - label: 是
                  value: Y
                - label: 否
                  value: N

    - group: envelope_comment
      label: 留言板
      formSchema:
        - $formkit: radio
          label: 弹幕
          name: enable_danmu
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: number
          name: maxBarrage
          value: 20
          label: 弹幕数页数
          placeholder: 请输入弹幕数页数
        - $formkit: radio
          label: 信笺
          name: enable_envelope_comment
          key: enable_envelope_comment
          id: enable_envelope_comment
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: textarea
          if: $get(enable_envelope_comment).value
          name: title
          label: 标题
          placeholder: 请输入内容
          value: <div align="center">留言板</div>
          help: 支持 HTML 语法
        - $formkit: group
          name: custom_pic
          if: $get(enable_envelope_comment).value
          label: 信笺图片
          value:
            cover:
            line:
            beforeimg:
            afterimg:
          children:
            - $formkit: attachment
              name: cover
              label: 头部图片
              placeholder: 请输入内容
              value: "https://npm.elemecdn.com/hexo-butterfly-envelope/lib/violet.jpg"
            - $formkit: attachment
              name: line
              label: 底部图片
              placeholder: 请输入内容
              value: "https://npm.elemecdn.com/hexo-butterfly-envelope/lib/line.png"
            - $formkit: attachment
              name: beforeimg
              label: 前半部分图片
              placeholder: 请输入内容
              value: "https://npm.elemecdn.com/hexo-butterfly-envelope/lib/before.png"
            - $formkit: attachment
              name: afterimg
              label: 后半部分图片
              placeholder: 请输入内容
              value: "https://npm.elemecdn.com/hexo-butterfly-envelope/lib/after.png"
        - $formkit: repeater
          name: messageList
          if: $get(enable_envelope_comment).value
          label: 正文
          value:
            - content: "有什么想问的？"
            - content: "有什么想说的？"
            - content: "有什么想吐槽的？"
            - content: "哪怕是有什么想吃的，都可以告诉我哦~"
          children:
            - $formkit: text
              name: content
              label: 内容
              placeholder: 请输入内容
              value: "有什么想问的？"
        - $formkit: text
          name: bottom
          if: $get(enable_envelope_comment).value
          label: 底部文本
          placeholder: 请输入内容
          value: 自动书记人偶竭诚为您服务！
          help: 仅支持单行文本
        - $formkit: number
          name: height
          if: $get(enable_envelope_comment).value
          label: 高度
          placeholder: 请输入内容
          help: 信封划出的高度
          value: 1024

    - group: comments
      label: 评论
      formSchema:
        - $formkit: select
          name: use
          label: 请选择评论系统
          id: use
          key: use
          value: commentWidget
          help: Twikoo评论需要填写下方配置
          options:
            - label: 默认
              value: commentWidget
            - label: Twikoo
              value: Twikoo
        - $formkit: radio
          if: $get(use).value == 'Twikoo'
          name: twikooEnable
          id: twikooEnable
          key: twikooEnable
          label: Twikoo
          value: true
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false
        - $formkit: group
          if: $get(twikooEnable).value
          name: twikoos
          label: Twikoo评论配置
          value:
            maxBarrage:
            barrageTime:
            envId:
            accessToken:
            mailMd5:
          children:
            - $formkit: number
              name: maxBarrage
              value: 1
              label: 同时最多显示弹幕数
              placeholder: 请输入显示弹幕数
              help: 右下角同时最多显示的弹幕数量
            - $formkit: number
              name: barrageTime
              value: 4000
              label: 弹幕显示间隔时间ms
              placeholder: 请输入间隔时间ms
              help: 右下角弹出热评弹幕的间隔时间
            - $formkit: url
              name: envId
              label: Twikoo评论 - 环境id/后端URL
              placeholder: 请输入环境id或URL
              help: 详情请查看文档
            - $formkit: text
              name: accessToken
              label: Twikoo评论 - 管理员令牌
              placeholder: 请输入token
              help: 在浏览器F12的控制台中获取，用于显示弹幕，详情请查看文档
            - $formkit: text
              name: mailMd5
              label: Twikoo评论 - 博主邮箱MD5值
              placeholder: 请输入md5值
              help: 用于验证博主评论，可前往cmd5.com加密自己使用的邮箱，选择32位小写

    - group: style
      label: 样式
      formSchema:
        - $formkit: checkbox
          name: enableChangeColorScheme
          label: 允许访客切换配色
          value: true
        - $formkit: radio
          name: colorScheme
          label: 默认配色
          value: system
          options:
            - label: 跟随系统
              value: system
            - label: 深色
              value: dark
            - label: 浅色
              value: light
        - $formkit: radio
          name: universe
          label: 深色模式粒子效果
          value: true
          options:
            - label: 打开
              value: true
            - label: 关闭
              value: false
        - $formkit: textarea
          name: fontFamily
          label: 全局字体
          placeholder: '"PingFang SC", "Hiragino Sans GB", "Microsoft YaHei"'

    - group: code
      label: 代码块
      formSchema:
        - $formkit: radio
          name: enable
          id: enable
          key: enable
          label: 启用代码块
          help: 如果安装代码块插件，可关闭此功能
          value: false
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_title
          if: $get(enable).value
          label: 启用代码标题
          help: 启用代码块的标题，默认显示语言类型，也可自定义标题
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_hr
          if: $get(enable).value
          label: 启用代码标题分割线
          help: 启用代码标题和内容之间的分割线，不展示时会更加简洁
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_line
          if: $get(enable).value
          label: 启用代码行号
          help: 启用代码块行号功能
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_copy
          if: $get(enable).value
          label: 启用代码复制
          help: 启用代码块复制按钮
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_expander
          if: $get(enable).value
          label: 启用代码折叠
          help: 启用代码折叠功能
          value: true
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: enable_height_limit
          id: enable_height_limit
          key: enable_height_limit
          if: $get(enable).value
          label: 启用代码高度限制
          help: 启用代码高度限制功能
          value: false
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: number
          name: height_limit
          if: $get(enable_height_limit).value
          value: 300
          label: 代码高度限制
        - $formkit: select
          name: theme_light
          if: $get(enable).value
          label: 代码块主题（浅色）随着系统主题变化
          value: one-light
          options:
            - value: "one-dark"
              label: "one-dark"
            - value: "one-light"
              label: "one-light"
            - value: "a11y-dark"
              label: "a11y-dark"
            - value: "atom-dark"
              label: "atom-dark"
            - value: "base16-ateliersulphurpool.light"
              label: "base16-ateliersulphurpool.light"
            - value: "cb"
              label: "cb"
            - value: "coldark-cold"
              label: "coldark-cold"
            - value: "coldark-dark"
              label: "coldark-dark"
            - value: "coy-without-shadows"
              label: "coy-without-shadows"
            - value: "darcula"
              label: "darcula"
            - value: "dracula"
              label: "dracula"
            - value: "duotone-dark"
              label: "duotone-dark"
            - value: "duotone-earth"
              label: "duotone-earth"
            - value: "duotone-forest"
              label: "duotone-forest"
            - value: "duotone-light"
              label: "duotone-light"
            - value: "duotone-sea"
              label: "duotone-sea"
            - value: "duotone-space"
              label: "duotone-space"
            - value: "ghcolors"
              label: "ghcolors"
            - value: "gruvbox-dark"
              label: "gruvbox-dark"
            - value: "gruvbox-light"
              label: "gruvbox-light"
            - value: "holi-theme"
              label: "holi-theme"
            - value: "hopscotch"
              label: "hopscotch"
            - value: "lucario"
              label: "lucario"
            - value: "material-dark"
              label: "material-dark"
            - value: "material-light"
              label: "material-light"
            - value: "material-oceanic"
              label: "material-oceanic"
            - value: "night-owl"
              label: "night-owl"
            - value: "nord"
              label: "nord"
            - value: "pojoaque"
              label: "pojoaque"
            - value: "shades-of-purple"
              label: "shades-of-purple"
            - value: "solarized-dark-atom"
              label: "solarized-dark-atom"
            - value: "synthwave84"
              label: "synthwave84"
            - value: "vs"
              label: "vs"
            - value: "vsc-dark-plus"
              label: "vsc-dark-plus"
            - value: "xonokai"
              label: "xonokai"
            - value: "z-touch"
              label: "z-touch"
        - $formkit: select
          name: theme_dark
          if: $get(enable).value
          label: 代码块主题（深色）随着系统主题变化
          value: one-dark
          options:
            - value: "one-dark"
              label: "one-dark"
            - value: "one-light"
              label: "one-light"
            - value: "a11y-dark"
              label: "a11y-dark"
            - value: "atom-dark"
              label: "atom-dark"
            - value: "base16-ateliersulphurpool.light"
              label: "base16-ateliersulphurpool.light"
            - value: "cb"
              label: "cb"
            - value: "coldark-cold"
              label: "coldark-cold"
            - value: "coldark-dark"
              label: "coldark-dark"
            - value: "coy-without-shadows"
              label: "coy-without-shadows"
            - value: "darcula"
              label: "darcula"
            - value: "dracula"
              label: "dracula"
            - value: "duotone-dark"
              label: "duotone-dark"
            - value: "duotone-earth"
              label: "duotone-earth"
            - value: "duotone-forest"
              label: "duotone-forest"
            - value: "duotone-light"
              label: "duotone-light"
            - value: "duotone-sea"
              label: "duotone-sea"
            - value: "duotone-space"
              label: "duotone-space"
            - value: "ghcolors"
              label: "ghcolors"
            - value: "gruvbox-dark"
              label: "gruvbox-dark"
            - value: "gruvbox-light"
              label: "gruvbox-light"
            - value: "holi-theme"
              label: "holi-theme"
            - value: "hopscotch"
              label: "hopscotch"
            - value: "lucario"
              label: "lucario"
            - value: "material-dark"
              label: "material-dark"
            - value: "material-light"
              label: "material-light"
            - value: "material-oceanic"
              label: "material-oceanic"
            - value: "night-owl"
              label: "night-owl"
            - value: "nord"
              label: "nord"
            - value: "pojoaque"
              label: "pojoaque"
            - value: "shades-of-purple"
              label: "shades-of-purple"
            - value: "solarized-dark-atom"
              label: "solarized-dark-atom"
            - value: "synthwave84"
              label: "synthwave84"
            - value: "vs"
              label: "vs"
            - value: "vsc-dark-plus"
              label: "vsc-dark-plus"
            - value: "xonokai"
              label: "xonokai"
            - value: "z-touch"
              label: "z-touch"

    - group: tool
      label: 小部件
      formSchema:
        - $formkit: group
          name: rightMenu
          label: 右键菜单
          value:
            rightMenuEnable:
          children:
            - $formkit: radio
              name: rightMenuEnable
              value: true
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false
        - $formkit: group
          name: nav_music
          label: 左下角音乐
          value:
            id:
            server:
            all_playlist:
            meting_api:
          children:
            - $formkit: radio
              name: nav_musicEnable
              id: nav_musicEnable
              key: nav_musicEnable
              value: true
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false
            - $formkit: text
              name: id
              label: 音乐的id
              help: 歌单的id，可以从音乐歌单分享的链接中获取
              value: "xxxxxx"
            - $formkit: text
              name: server
              label: 服务
              help: 歌单的服务商，例如netease（网易云音乐）,tencent（腾讯）,kugou（酷狗）,xiami（小米音乐）,baidu（百度音乐）
              value: "tencent"
            - $formkit: url
              name: all_playlist
              label: 播放列表地址
              help: 用于右键查看所有歌曲
              value: https://y.qq.com/n/ryqq/playlist/xxxxx
            - $formkit: url
              name: meting_api
              label: 音乐图片api
              value: https://api.i-meto.com/meting/api?server=:server&type=:type&id=:id&r=:r
        - $formkit: group
          name: snackbar
          label: 右下角弹窗
          value:
            switch:
            introductionTitle:
            introductionTip:
            introductionUrl:
            introductionName:
          children:
            - $formkit: radio
              name: switch
              id: switch
              key: switch
              value: true
              options:
                - label: 打开
                  value: true
                - label: 关闭
                  value: false
            - $formkit: text
              if: $get(switch).value
              name: introductionTitle
              label: 标题
              value: '协议提醒助手'
            - $formkit: text
              if: $get(switch).value
              name: introductionTip
              label: 内容
              value: 查看本站为你的个人隐私做出的努力
            - $formkit: url
              if: $get(switch).value
              name: introductionUrl
              value: /privacy
              label: 点击跳转地址
              placeholder: 请输入跳转 url
            - $formkit: text
              if: $get(switch).value
              name: introductionName
              value: 本站如何保护你的隐私
              label: 按钮标题
              placeholder: 请输入按钮标题

    - group: other
      label: 其他设置
      formSchema:
        - $formkit: group
          name: staticResource
          label: 静态资源文件设置
          value:
            use:
            cdn_link:
          children:
            - $formkit: select
              name: use
              id: use
              key: use
              label: 类型选择
              value: local
              options:
                - label: 本地
                  value: local
                - label: onmicrosoft
                  value: onmicrosoft
                - label: 自定义
                  value: custom
            - $formkit: url
              name: cdn_link
              if: "$get(use).value == 'custom'"
              label: cdn地址，外链地址
              validation: required
              value: 'https://npm.onmicrosoft.cn/hao-theme-static@1.3.0/templates/assets'
              help: '默认为npmJs的onmicrosoft加速地址，如果你有自己的cdn地址（请确保链接下assets文件夹下主题静态资源文件），可以填写，否则请勿修改！ '
        - $formkit: group
          name: diytitle
          label: 动态标题
          value:
            leaveTitle:
            backTitle:
            diytitleEnable:
          children:
            - $formkit: radio
              name: diytitleEnable
              id: diytitleEnable
              key: diytitleEnable
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: text
              name: leaveTitle
              if: $get(diytitleEnable).value
              label: 离开
              value: w(ﾟДﾟ)w 不要走！再看看嘛！
            - $formkit: text
              name: backTitle
              if: $get(diytitleEnable).value
              label: 回到
              value: ♪(^∇^*)欢迎肥来！
        - $formkit: group
          name: loadingBoxs
          label: 加载动画
          value:
            loadingBoxEnable:
            loadingBoxImg:
            loadProgressBar:
          children:
            - $formkit: radio
              name: loadingBoxEnable
              id: loadingBoxEnable
              key: loadingBoxEnable
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
            - $formkit: attachment
              name: loadingBoxImg
              if: $get(loadingBoxEnable).value
              label: 加载图片
              value: https://liuzhihang.com/upload/logo.png
              placeholder: 请输入图片 url
            - $formkit: radio
              name: loadProgressBar
              label: 加载进度条
              value: true
              options:
                - label: 启用
                  value: true
                - label: 禁用
                  value: false
        - $formkit: group
          name: error_404
          label: 404 页面
          value:
            subtitle:
            background:
          children:
            - $formkit: text
              name: subtitle
              label: 标题
              value: 请尝试站内搜索寻找文章
            - $formkit: attachment
              name: background
              label: 背景
              value: /themes/theme-hao/assets/images/404s.gif
        - $formkit: radio
          name: bubbleEnable
          label: 页面卡片顶部气泡升起效果
          help: 已有页面(友链鱼塘,瞬间,ToDoList,我的装备)
          value: false
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: scrollbarLinearGradientEnable
          label: 渐变滚动条效果
          value: false
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: radio
          name: tagRandomColorEnable
          label: 标签云随机颜色效果
          value: false
          options:
            - label: 启用
              value: true
            - label: 禁用
              value: false
        - $formkit: group
          name: greeting
          label: 首页问候语
          children:
            - $formkit: radio
              name: enable_greeting
              key: enable_greeting
              id: enable_greeting
              value: false
              options:
                - label: 显示
                  value: true
                - label: 隐藏
                  value: false
            - $formkit: repeater
              name: setting
              if: $get(enable_greeting).value
              label: 问候语配置
              value:
                - greeting: 晚安😴
                  start_time: 0
                  end_time: 5
                - greeting: 早上好鸭👋, 祝你一天好心情！
                  start_time: 6
                  end_time: 9
                - greeting: 上午好👋, 状态很好，鼓励一下
                  start_time: 10
                  end_time: 10
                - greeting: 11点多啦, 在坚持一下就吃饭啦～
                  start_time: 11
                  end_time: 11
                - greeting: 午安👋, 宝贝
                  start_time: 12
                  end_time: 14
                - greeting: 🌈充实的一天辛苦啦！
                  start_time: 14
                  end_time: 18
                - greeting: 19点喽, 奖励一顿丰盛的大餐吧🍔。
                  start_time: 19
                  end_time: 19
                - greeting: 晚上好👋, 在属于自己的时间好好放松😌~
                  start_time: 20
                  end_time: 24
              children:
                - $formkit: text
                  name: greeting
                  label: 问候内容
                  placeholder: 请输入问候内容
                - $formkit: text
                  name: start_time
                  label: 开始时间
                  placeholder: 请输入开始时间(小时)
                  help: 与上一个问候的结束时间相同时，上一个问候在该时间生效
                - $formkit: text
                  name: end_time
                  label: 结束时间
                  placeholder: 请输入结束时间(小时)
                  help: 可以与开始时间相同，表示一个小时内的问候
